Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.fst
Interface SumLattice

All Known Implementing Classes:
  SumLatticeBeam, SumLatticeConstrained, SumLatticeDefault, SumLatticeScaling

    public interface SumLattice

Interface to perform forward-backward during training of a transducer.

Method Summary
`double` | `getAlpha(int ip, Transducer.State s)`
`double` | `getBeta(int ip, Transducer.State s)`
`double` | `getGammaProbability(int inputPosition, Transducer.State s)`
`double[][]` | `getGammas()`
`double` | `getGammaWeight(int inputPosition, Transducer.State s)`
`LabelVector` | `getLabelingAtPosition(int outputPosition)`
`double` | `getTotalWeight()`
`Transducer` | `getTransducer()`
`double` | `getXiProbability(int ip, Transducer.State s1, Transducer.State s2)`
`double[][][]` | `getXis()`
`double` | `getXiWeight(int ip, Transducer.State s1, Transducer.State s2)`
`int` | `length()`

Method Detail

### getXis

    double[][][] getXis()

### getGammas

    double[][] getGammas()

### getTotalWeight

    double getTotalWeight()

### getGammaWeight

    double getGammaWeight(int inputPosition,
                          Transducer.State s)

### getGammaProbability

    double getGammaProbability(int inputPosition,
                               Transducer.State s)

### getXiProbability

    double getXiProbability(int ip,
                            Transducer.State s1,
                            Transducer.State s2)

### getXiWeight

    double getXiWeight(int ip,
                       Transducer.State s1,
                       Transducer.State s2)

### length

    int length()

### getAlpha

    double getAlpha(int ip,
                    Transducer.State s)

### getBeta

    double getBeta(int ip,
                   Transducer.State s)

### getLabelingAtPosition

    LabelVector getLabelingAtPosition(int outputPosition)

### getTransducer

    Transducer getTransducer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD